#include <bits/stdc++.h>
#define ll long long 			//-+ 9,223,372,036,854,775,807  = 9.2*10^18 = 2^63 - 1
#define ull unsigned long long	// +18,446,744,073,709,551,615  = 1.8*10^19 = 2^64 - 1
#define l long					//-+ 			 2,147,483,647	= 2.1*10^9  = 2^31 - 1
#define ul unisgned long		// +			 4,294,967,295	= 4.3*10^9	= 2^32 - 1
#define db double
#define ldb long double
#define ff(i,n) for(int i = 0; i < n; ++i)
#define fff(i,a,b) for(int i = a; i<=b; ++i)
#define mfff(i,a,b) for(int i = a; i>b; i--)
using namespace std;

int main(){

    ios::sync_with_stdio(0);
    cin.tie(0);
    const int LIM=0;
	int niz[500000];
    l i=0,j=0;
    int  sol=0;
    l n=0;
    cin>>n;
    bool izadji=false;
    ff(i,n){
    	cin>>niz[i];
    	
	}
	
	ff(i,n){
		mfff(j,n,i){
			if(niz[i]<niz[j]){
				int temp=niz[i];
				
				niz[i]=niz[j];
				niz[j]=temp;
				j=i;
				i=n;
				
			
				
				
			}
			
		}
	
	
	}
	
	
	ff(i,n){
		cout<<niz[i]<<" ";
	}
	
    
    

	return 0;
}